package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.check.CheckError;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class ErrorNode extends Renderable {
	
	private final CheckError err;
	
	public ErrorNode(CheckError e) {
		this.err = e;
	}

	@Override
	public void refreshTextColor() {
		// not used
	}

	@Override
	public String getText() {
		return err.getErrorId().toString();
	}

	@Override
	public void visit(Renderer renderer) {
		renderer.highlight(err);
	}

}
